package com.jz.dm.common.base;

import com.jz.common.bean.SysUserDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.common.base
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: BaseCurrentUserObject
 * @DATE: 2020-12-30/16:05
 * @DAY_NAME_SHORT: 周三
 * @Description: 获取当前登录用户
 **/
@Component
public class BaseCurrentUserObject {

    @Autowired
    private  RedisTemplate redisTemplate;


    /**
     * 获取登录用户
     *
     * @return
     */
    public  SysUserDto getUserInfo() {
        SysUserDto  sysUserDto = (SysUserDto) redisTemplate.opsForValue().get("USER" + "004");//RedisMessageConstant.SENDTYPE_LOGIN_SYS);
        return sysUserDto;

    }
    //SysUserDto currentUser = (SysUserDto)
    //        redisTemplate.opsForValue().get("user" + RedisMessageConstant.SENDTYPE_LOGIN_SYS);
    /*public static void main(String[] args) {
        System.out.println(new BaseCurrentUserObject().getUserInfo());
    }*/
}
