package com.jz.dm.common.enums.direction;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.common.enums
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: DirectionTypeEnum
 * @DATE: 2020-12-31/18:39
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
public enum  DirectionTypeEnum {
    /**
     * API类型
     */
    API_TYPE;

    public static DirectionTypeEnum fromTypeName(String typeName) {
        for (DirectionTypeEnum type : DirectionTypeEnum.values()) {
            if (type.name().equals(typeName)) {
                return type;
            }
        }
        return null;
    }
}
