package com.jz.dm.filter;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 过滤链工厂
 * @author key
 */
@Component
public class FilterChainFactory {

    @Autowired
    private FilterFactory filterFactory;

    /**
     * 获取过滤链
     *
     */
    public FilterChain getFilterChain() {
        List<Filter> filters = filterFactory.getFilters();
        return new FilterChainImpl(filters);
    }
}
