package com.jz.dm.models.domian;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jz.dm.common.base.BaseObject;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**apiEs字段信息表
 * @author ybz
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_api_open_api_es_fields")
public class ApiOpenApiEsFields extends BaseObject implements Serializable {

	/**
	* 源数据库
	*/
	@TableField("es_database")
    private String esDatabase;

	/**
	* 源表
	*/
	@TableField("es_table")
    private String esTable;

	/**
	* 字段名称
	*/
	@TableField("field_name")
    private String fieldName;

	/**
	* 字段类型
	*/
	@TableField("field_type")
    private String fieldType;

	/**
	* 字段描述
	*/
	@TableField("field_desc")
    private String fieldDesc;

}
