package com.jz.dm.models.domian;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jz.dm.common.base.BaseObject;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**apiEs配置信息表
 * @author ybz
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_api_open_api_es_tagconfig")
public class ApiOpenApiEsTagconfig extends BaseObject implements Serializable {


	/**
	* 工程id
	*/
	@TableField("project_id")
    private Long projectId;

	/**
	* app_id
	*/
	@TableField("app_id")
    private String appId;

	/**
	* api_id
	*/
	@TableField("api_id")
    private String apiId;

	/**
	* api类型
	*/
	@TableField("api_type")
    private String apiType;

	/**
	* api唯一标识
	*/
	@TableField("api_key")
    private String apiKey;

	/**
	* 数据源id
	*/
	@TableField("es_data_source")
    private String esDataSource;

	/**
	* 源数据库名称
	*/
	@TableField("es_data_base")
    private String esDataBase;

	/**
	* 源数据表名称
	*/
	@TableField("es_table")
    private String esTable;

	/**
	* 请求参数集合
	*/
	@TableField("request_param")
    private String requestParam;

	/**
	* 响应参数集合
	*/
	@TableField("result_param")
    private String resultParam;

	/**
	* 是否分页
	*/
	@TableField("page")
    private String page;

	/**
	* 处理类型
	*/
	@TableField("handle_type")
    private String handleType;

}
