package com.jz.dm.models.domian;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jz.dm.common.base.BaseObject;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
/**
* @Description:
* @Author: Mr.zhang
* @Date: 2020-12-23
*/
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@Accessors(chain = true)
@TableName("t_api_syncing_datasource_type")
public class ApiSyncingDatasourceType extends BaseObject implements Serializable {

	/**
	* 数据源名称
	*/
	@TableField("datasource")
    private String datasource;

	/**
	* 数据源分类编码
	*/
	@TableField("datasource_catecode")
    private String datasourceCatecode;

	/**
	* 数据源分类名称
	*/
	@TableField("datasource_catename")
    private String datasourceCatename;

	/**
	* 数据源类型
	*/
	@TableField("datasource_type")
    private String datasourceType;

	/**
	* 数据源图标
	*/
	@TableField("img_url")
    private String imgUrl;

	/**
	* 状态
	*/
	@TableField("data_status")
    private String dataStatus;

	/**
	* 是否启用
	*/
	@TableField("is_enabled")
    private String isEnabled;

	/**
	* 
	*/
	@TableField("datasource_catetype")
    private String datasourceCatetype;

	/**
	* 
	*/
	@TableField("driver_class_name")
    private String driverClassName;

	/**
	* 是否启用测试
	*/
	@TableField("is_enable_test")
    private String isEnableTest;

	/**
	* 
	*/
	@TableField("default_source_script")
    private String defaultSourceScript;

	/**
	* 
	*/
	@TableField("default_target_script")
    private String defaultTargetScript;

	/**
	* 是否启用源
	*/
	@TableField("is_enable_source")
    private String isEnableSource;

	/**
	* 是否启用目标
	*/
	@TableField("is_enable_target")
    private String isEnableTarget;

}
