package com.jz.dm.models.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: LogInfoDetailReq
 * @DATE: 2020-12-25/15:18
 * @DAY_NAME_SHORT: 周五
 * @Description:
 **/
@Data
@ApiModel("日志详情信息")
public class LogInfoDetailReq implements Serializable {

    @ApiModelProperty(value = "id",required = true)
    @NotNull(message = "id不能为空")
    private Long id;
}
