package com.jz.dm.models.req.make;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req.make
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: SourceConfigReq
 * @DATE: 2020-12-27/1:44
 * @DAY_NAME_SHORT: 周日
 * @Description:
 **/
@Data
@ApiModel("数据源配置请求体")
public class SourceConfigReq implements Serializable {
    @ApiModelProperty(value = "发布id",required = false)
    private String releaseId;

    @ApiModelProperty(value = "apiKey",required = true)
    @NotNull(message = "apiKey不能为空")
    private String apiKey;
}
