package com.jz.dm.service;

import com.jz.dm.models.domian.ApiAuth;
import com.jz.dm.models.domian.ApiInterface;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.service
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiInterfaceService
 * @DATE: 2021-1-2/14:26
 * @DAY_NAME_SHORT: 周六
 * @Description:
 **/
public interface ApiInterfaceService {

    /**
     * 根据Api授权码获取用户授权信息
     * @param apiKey
     * @param authCode
     * @return
     */
   ApiAuth getApiAuthInfo(String apiKey,String authCode);

    /**
     * 获取api信息
     * @param apiKey
     * @return
     */
    ApiInterface getApiInfo(String apiKey);

    /**
     * 获取apikey信息
     * @param apiKey
     * @return
     */
    ApiInterface getReqTargetInfo(String apiKey);
}
