package com.jz.common.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**分页信息封装
 * @author ybz
 *
 */
@ApiModel(value = "分页参数对象", description = "分页参数对象")
public class BasePageBean {

	@ApiModelProperty(value = "当前页码值")
	private int pageNum = 1;

	@ApiModelProperty(value = "每页条数")
	private int pageSize = 10;

	public int getPageNum() {
		return pageNum;
	}

	public void setPageNum(int pageNum) {
		this.pageNum = pageNum;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}
	
	

}
