package com.jz.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.util.Date;

/**
 * 审核记录(TAuditRecord)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:29
 */
@TableName("t_audit_record")
@ApiModel
public class AuditRecord implements Serializable {
    private static final long serialVersionUID = 747782852655865930L;
    /**
     * 主键
     */
    private Long auditRecord;
    /**
     * 实例id
     */
    private String exampleId;
    /**
     * 驳回原因
     */
    private String rejectReason;
    /**
     * 审核类型：01企业审核，02数据审核，03需求审核
     */
    private String auditType;
    /**
     * 创建人
     */
    private String creTime;
    /**
     * 创建时间
     */
    private Date crePerson;
    /**
     * 删除标识
     */
    private String delFlag;


    public Long getAuditRecord() {
        return auditRecord;
    }

    public void setAuditRecord(Long auditRecord) {
        this.auditRecord = auditRecord;
    }

    public String getExampleId() {
        return exampleId;
    }

    public void setExampleId(String exampleId) {
        this.exampleId = exampleId;
    }

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public String getAuditType() {
        return auditType;
    }

    public void setAuditType(String auditType) {
        this.auditType = auditType;
    }

    public String getCreTime() {
        return creTime;
    }

    public void setCreTime(String creTime) {
        this.creTime = creTime;
    }

    public Date getCrePerson() {
        return crePerson;
    }

    public void setCrePerson(Date crePerson) {
        this.crePerson = crePerson;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

}