package com.jz.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.util.Date;

/**
 * 文件存入表
 * (TFileDeposit)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:35
 */
@TableName("t_file_deposit")
@ApiModel
public class FileDeposit implements Serializable {
    private static final long serialVersionUID = -50582525275475551L;
    /**
     * 文件存入id
     */
    private Long fileDepositId;
    /**
     * 文件名称
     */
    private String fileName;
    /**
     * 文件地址
     */
    private String fileAddress;
    /**
     * 文件格式
     */
    private String fileFormat;
    /**
     * 文件上传用户id
     */
    private String uploadUserId;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 备注
     */
    private String remark;
    /**
     * 更新时间
     */
    private Date uptTime;


    public Long getFileDepositId() {
        return fileDepositId;
    }

    public void setFileDepositId(Long fileDepositId) {
        this.fileDepositId = fileDepositId;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileAddress() {
        return fileAddress;
    }

    public void setFileAddress(String fileAddress) {
        this.fileAddress = fileAddress;
    }

    public String getFileFormat() {
        return fileFormat;
    }

    public void setFileFormat(String fileFormat) {
        this.fileFormat = fileFormat;
    }

    public String getUploadUserId() {
        return uploadUserId;
    }

    public void setUploadUserId(String uploadUserId) {
        this.uploadUserId = uploadUserId;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getUptTime() {
        return uptTime;
    }

    public void setUptTime(Date uptTime) {
        this.uptTime = uptTime;
    }

}