package com.jz.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 平台付款信息(TPlatformPaymenyInfo)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:43
 */
@TableName("t_platform_paymeny_info")
@ApiModel
public class PlatformPaymenyInfo implements Serializable {
    private static final long serialVersionUID = -36212257328084481L;
    /**
     * 平台付款id
     */
    private Long paymenyInfoId;
    /**
     * 付款金额
     */
    private BigDecimal paymentMoney;
    /**
     * 付款时间
     */
    private Date paymentTime;
    /**
     * 买家id
     */
    private String buyerId;
    /**
     * 付款类型：01提现，
     */
    private String paymentType;
    /**
     * 付款人
     */
    private String paymentPerson;
    /**
     * 收款人
     */
    private String receivePerson;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 删除标识
     */
    private String delFlag;


    public Long getPaymenyInfoId() {
        return paymenyInfoId;
    }

    public void setPaymenyInfoId(Long paymenyInfoId) {
        this.paymenyInfoId = paymenyInfoId;
    }

    public BigDecimal getPaymentMoney() {
        return paymentMoney;
    }

    public void setPaymentMoney(BigDecimal paymentMoney) {
        this.paymentMoney = paymentMoney;
    }

    public Date getPaymentTime() {
        return paymentTime;
    }

    public void setPaymentTime(Date paymentTime) {
        this.paymentTime = paymentTime;
    }

    public String getBuyerId() {
        return buyerId;
    }

    public void setBuyerId(String buyerId) {
        this.buyerId = buyerId;
    }

    public String getPaymentType() {
        return paymentType;
    }

    public void setPaymentType(String paymentType) {
        this.paymentType = paymentType;
    }

    public String getPaymentPerson() {
        return paymentPerson;
    }

    public void setPaymentPerson(String paymentPerson) {
        this.paymentPerson = paymentPerson;
    }

    public String getReceivePerson() {
        return receivePerson;
    }

    public void setReceivePerson(String receivePerson) {
        this.receivePerson = receivePerson;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

}