package com.jz.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;

/**
 * (SysRoleMenu)实体类
 *
 * @author Bellamy
 * @since 2020-11-29 14:30:25
 */
@TableName("t_sys_role_menu")
@ApiModel
public class SysRoleMenu implements Serializable {
    private static final long serialVersionUID = -82724914905011429L;
    /**
     * 主键
     */
    @TableId(value = "role_menu_id",type = IdType.AUTO)
    private Long roleMenuId;
    /**
     * 角色id
     */
    private Long roleId;
    /**
     * 菜单id
     */
    private Long menuId;


    public Long getRoleMenuId() {
        return roleMenuId;
    }

    public void setRoleMenuId(Long roleMenuId) {
        this.roleMenuId = roleMenuId;
    }

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Long getMenuId() {
        return menuId;
    }

    public void setMenuId(Long menuId) {
        this.menuId = menuId;
    }

}