package com.jz.common.enums;

/**
 * 删除标识
 *
 * @author Bellamy
 * @since 2020-11-30 14:30:23
 */
public enum DelFlagEnum {
    /**
     * 删除
     */
    YES("YES", "Y"),

    /**
     * 未删除
     */
    NO("NO", "N"),

    ;

    private String code;

    private String value;

    private DelFlagEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public static DelFlagEnum get(String code) {
        if (code == null) {
            return null;
        }
        for (DelFlagEnum status : values()) {
            if (status.getCode().equalsIgnoreCase(code)) {
                return status;
            }
        }
        return null;
    }
}
