package com.jz.common.enums;

/**
 * 商品数据类型
 *
 * @author Bellamy
 * @since 2020-11-30 14:30:23
 */
public enum GoodsDataEnum {
    /**
     * api
     */
    GOODS_API("api", "01"),

    /**
     * pack
     */
    GOODS_DATA_PACK("pack", "02"),

    ;
    private String code;

    private String value;

    GoodsDataEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public static GoodsDataEnum get(String code) {
        if (code == null) {
            return null;
        }
        for (GoodsDataEnum status : values()) {
            if (status.getCode().equalsIgnoreCase(code)) {
                return status;
            }
        }
        return null;
    }


}
