package com.jz.common.utils;


import javax.servlet.http.HttpServletRequest;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/3
 * @Version:
 */
public class SessionUtils {

    /**
     * 把数据存储到session中
     * @param objName 存储到session中的对象的变量名
     * @param o 存储的任意数据
     */
    public static void setUserCurrent(String objName, Object o, HttpServletRequest request) {
        request.getSession().setAttribute(objName, o);
    }

    /**
     * 从session中获取数据
     * @param key 存储到session中的对象的变量名
     */
    public static Object getUserCurrent(HttpServletRequest request, String key){

        return request.getSession().getAttribute(key);
    }
}
