package com.jz.dm.mall;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.session.data.redis.config.annotation.web.http.EnableRedisHttpSession;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.web.client.RestTemplate;

@SpringBootApplication
@EnableRedisHttpSession
@EnableTransactionManagement
@MapperScan("com.jz.dm.mall.moduls.mapper")
public class Application {

	public static void main(String[] args) {
		
		SpringApplication.run(Application.class, args);
		
	}


	@Bean
	public RestTemplate restTemplate() {
		return new RestTemplate();
	}
}
