package com.jz.dm.mall.moduls.controller.company.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.mall.moduls.controller.company.dto
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: CompanyInfoDto
 * @USER: key
 * @DATE: 2020-12-3/15:23
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
@Data
@ApiModel
public class CompanyInfoDto implements Serializable {

    @ApiModelProperty(value = "企业名称")
    private String departmentName;
    @ApiModelProperty(value = "注册地址")
    private String registeredAddress;
    @ApiModelProperty(value = "营业执照链接")
    private String businessLicense;
    @ApiModelProperty(value = "开户行")
    private String bankName;
    @ApiModelProperty(value = "企业名称")
    private String bankCardNumber;
    @ApiModelProperty(value = "联系人")
    private String linkman;
    @ApiModelProperty(value = "联系人手机号")
    private String telephone;
    @ApiModelProperty(value = "企业自增ID")
    private String departmentId;
    @ApiModelProperty(value = "审核状态:01待审核，02已审核，03未通过")
    private String auditStatus;
}
