package com.jz.dm.mall.moduls.controller.finance.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 商城企业客户资产(TFinanceCustomerAssets)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:38
 */
@ApiModel
public class FinanceCustomerAssetsDto implements Serializable {
    private static final long serialVersionUID = -86484762300825431L;
    /**
     * 资产id
     */
    @TableId(value = "assets_id",type = IdType.AUTO)
    @ApiModelProperty(value = "资产id")
    private Long assetsId;
    /**
     * 企业id
     */
    @ApiModelProperty(value = "企业id")
    private Long departmentId;
    /**
     * 可用金额
     */
    @ApiModelProperty(value = "可用金额")
    private BigDecimal useMoney;
    /**
     * 冻结金额
     */
    @ApiModelProperty(value = "冻结金额")
    private BigDecimal frozenMoney;
    /**
     * 总金额
     */
    @ApiModelProperty(value = "总金额")
    private BigDecimal totalMoney;


    public Long getAssetsId() {
        return assetsId;
    }

    public void setAssetsId(Long assetsId) {
        this.assetsId = assetsId;
    }

    public Long getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Long departmentId) {
        this.departmentId = departmentId;
    }

    public BigDecimal getUseMoney() {
        return useMoney;
    }

    public void setUseMoney(BigDecimal useMoney) {
        this.useMoney = useMoney;
    }

    public BigDecimal getFrozenMoney() {
        return frozenMoney;
    }

    public void setFrozenMoney(BigDecimal frozenMoney) {
        this.frozenMoney = frozenMoney;
    }

    public BigDecimal getTotalMoney() {
        return totalMoney;
    }

    public void setTotalMoney(BigDecimal totalMoney) {
        this.totalMoney = totalMoney;
    }

}