package com.jz.dm.mall.moduls.controller.finance.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 企业客户充值记录(TFinanceCustomerBalance)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:38
 */
@ApiModel
public class FinanceCustomerBalanceRequest implements Serializable {
    private static final long serialVersionUID = -13102196689933511L;
    /**
     * 企业客户资产id
     */
    @ApiModelProperty(value = "企业客户资产id")
    private Long assetsId;
    /**
     * 充值金额
     */
    @ApiModelProperty(value = "充值金额")
    private BigDecimal balanceMoney;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    public Long getAssetsId() {
        return assetsId;
    }

    public void setAssetsId(Long assetsId) {
        this.assetsId = assetsId;
    }

    public BigDecimal getBalanceMoney() {
        return balanceMoney;
    }

    public void setBalanceMoney(BigDecimal balanceMoney) {
        this.balanceMoney = balanceMoney;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

}