package com.jz.dm.mall.moduls.controller.goods.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/23
 * @Version:
 */
@ApiModel(value = "数据详情")
@Data
public class DataDetailsDto implements Serializable {

    @ApiModelProperty(value = "供应商名称")
    private String supplierName;

    @ApiModelProperty(value = "分类名称")
    private String categoryName;

    @ApiModelProperty(value = "价格类型")
    private String priceType;

    @ApiModelProperty(value = "数据商品图片")
    private String dataPicture;

    @ApiModelProperty(value = "数据描述")
    private String dataDesc;

    /**
     * 请求类型（方式）
     */
    @ApiModelProperty(value = "请求类型（方式）")
    private String requestType;

    /**
     * api接口地址
     */
    @ApiModelProperty(value = "api接口地址")
    private String apiUrl;

    /**
     * api接口方法
     */
    @ApiModelProperty(value = "api接口方法")
    private String apiMethod;


    @ApiModelProperty(value = "商品价格")
    private BigDecimal dataPrice;
    /**
     * 返回类型
     */
    @ApiModelProperty(value = "返回类型")
    private String returnType;


    @ApiModelProperty(value = "年(元)")
    private BigDecimal yearType;

    @ApiModelProperty(value = "季(元)")
    private BigDecimal seasonType;

    @ApiModelProperty(value = "月(元)")
    private BigDecimal monthType;

    @ApiModelProperty(value = "次(元)")
    private BigDecimal secondType;


}
