package com.jz.dm.mall.moduls.controller.goods.bean.request;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/9
 * @Version:
 */
@ApiModel(value = "数据集市--数据商品列表参数对象", description = "数据商品列表参数对象")
public class DataGoodsListRequest extends BasePageBean {

    /**
     * 商品分类id
     */
    @ApiModelProperty(value = "商品分类id")
    private Long categoryId;

    /**
     * 价格类型
     */
    @ApiModelProperty(value = "价格类型")
    private String priceType;

    /**
     * 综合排序
     */
    @ApiModelProperty(value = "综合排序")
    private String synthesizeRank;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date uptTime;

    /**
     * 数据商品名称
     */
    @ApiModelProperty(value = "数据商品名称")
    private String dataName;

    /**
     * 使用人数
     */
    @ApiModelProperty(value = "使用人数")
    private Long usePerson;

    /**
     * 数据类型
     */
    @ApiModelProperty(value = "数据类型：01api,02数据包")
    private String dataType;

    public Long getUsePerson() {
        return usePerson;
    }

    public void setUsePerson(Long usePerson) {
        this.usePerson = usePerson;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public String getSynthesizeRank() {
        return synthesizeRank;
    }

    public void setSynthesizeRank(String synthesizeRank) {
        this.synthesizeRank = synthesizeRank;
    }

    public Date getUptTime() {
        return uptTime;
    }

    public void setUptTime(Date uptTime) {
        this.uptTime = uptTime;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }
}
