package com.jz.dm.mall.moduls.controller.pay.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/31
 * @Version:
 */
@Data
public class PayDto implements Serializable {

    @ApiModelProperty(value = "商城用户id")
    private Long customerId;

    @ApiModelProperty(value = "商品id")
    private Long dataGoodsId;

    @ApiModelProperty(value = "企业id")
    private Long departmentId;

    @ApiModelProperty(value = "apiKey")
    private String apiKey;

    @ApiModelProperty(value = "资产账户id")
    private String assetsId;

    @ApiModelProperty(value = "商品金额")
    private BigDecimal dataPrice;

    @ApiModelProperty(value = "价格类型")
    private String priceType;

    @ApiModelProperty(value = "年（元）")
    private String purchaseMethod;

//    /**
//     * getway需要
//     */
//    @ApiModelProperty(value = "apiKey唯一标识", required = true)
//    @NotNull(message = "apiKey唯一标识不能为空")
//    private String apiKey;
//
//    @ApiModelProperty(value = "组织类型: INT 内部, OUT 外部", required = true)
//    @NotNull(message = "组织类型不能为空")
//    private String orgType;
//
//    @ApiModelProperty(value = "组织编码", required = true)
//    @NotNull(message = "组织编码不能为空")
//    private String orgCode;
//
//    @ApiModelProperty(value = "授权类型:DATA_BANK_AUTH 数据银行 , DMP_AUTHdmp 授权", required = true)
//    @NotNull(message = "授权类型不能为空")
//    private AuthTypeEnum authType;
//
//    @ApiModelProperty(value = "授权方式:POWER_CALL_MODE 按次调用 ,RECORD_TIME_MODE 按时间调用,PERMANENT_TIME_MODE 永久有效", required = true)
//    @NotNull(message = "授权方式不能为空")
//    private AuthModeEnum authMode;
//
//    @ApiModelProperty(value = "开始时间", required = false)
//    private String validStartTime;
//    @ApiModelProperty(value = "结束时间", required = false)
//    private String validEndTime;
//
//    @ApiModelProperty(value = "备注", required = false)
//    private String remark;
}
