package com.jz.dm.mall.moduls.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.util.Date;

/**
 * 订单商品信息(TOrderGoodsInfo)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:41
 */
@TableName("t_order_goods_info")
@ApiModel
public class OrderGoodsInfo implements Serializable {
    private static final long serialVersionUID = 380725675159762591L;
    /**
     * 订单商品信息
     */
    private Long orderGoodsInfoId;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 数据id
     */
    private Long dataGoodsId;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 创建人
     */
    private String crePerson;
    /**
     * 删除标识：Y是，N否
     */
    private String delFlag;


    public Long getOrderGoodsInfoId() {
        return orderGoodsInfoId;
    }

    public void setOrderGoodsInfoId(Long orderGoodsInfoId) {
        this.orderGoodsInfoId = orderGoodsInfoId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getDataGoodsId() {
        return dataGoodsId;
    }

    public void setDataGoodsId(Long dataGoodsId) {
        this.dataGoodsId = dataGoodsId;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public String getCrePerson() {
        return crePerson;
    }

    public void setCrePerson(String crePerson) {
        this.crePerson = crePerson;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

}