package com.jz.dm.mall.moduls.mapper;

import com.jz.common.base.BaseMapper;
import com.jz.dm.mall.moduls.entity.PlatformLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 日志管理(TPlatformLog)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:42
 */
public interface PlatformLogDao extends BaseMapper<PlatformLog> {

    /**
     * 查询商城用户日志列表
     * @param customerId
     * @return
     */
    List<PlatformLog> listMallLogInfo(Long customerId);

    /**
     * 根据日志ID查询日志信息
     * @param platformLogId
     * @return
     */
    PlatformLog findByPlatformId(@Param("platformLogId") Long platformLogId);
}