package com.jz.manage.config;

/**
 * @ClassName RedisUserKey
 * @Author hanyang
 * @Date 2020/7/3 15:10
 * @Version 1.0
 */
public class RedisKey {

    public static final String KeyWord = "9zdata_aistore";

    /**
     * 菜单key
     */
    public static final String MENU_ = "MENU_";

    /**
     * 角色与菜单关联key
     */
    public static final String PRIVILEGE_ = "PRIVILEGE_";

    /**
     * 角色key
     */
    public static final String ROLES_ = "ROLES_";

    /**
     * 角色与人员关联key
     */
    public static final String ROLES_USER_ = "ROLES_USER_";

    /**
     * 角色与功能权限关联key
     */
    public static final String ROLE_PERMISSION_KEY_ = "ROLE_PERMISSION";

    /**
     * 人员key
     */
    public static final String USER_ = "USER_";

    /**
     * 设置缓存时间 一周
     */
    public static final Long KEY_TIME = 60 * 60 * 7 * 24L;

    /**
     * 设置null值
     */
    public static final String EMPTY = null;


    //--------------------------------门店类

    /**
     * 雇员
     */
    public static final String EMPLOYEE_ = "EMPLOYEE_";

    /**
     * 组织
     */
    public static final String ORG_ = "ORG_";
    //只记录门店组织对应的门店ID
    public static final String ORG_STORE_ID_ = "ORG_STORE_ID_";

    //某个机构下的机构树
    public static final String QUERY_ORG_TREE_LIST_ = "QUERY_ORG_TREE_LIST_";

    //某个机构下的机构树带组织下人员
    public static final String QUERY_ORG_MAN_TREE_LIST_ = "QUERY_ORG_MAN_TREE_LIST_";

    //某个机构下的子机构
    public static final String QUERY_ORG_GET_KIDS_ = "QUERY_ORG_GET_KIDS_";

    /**
     * 门店
     */
    public static final String STORE_ = "STORE_";

    /**
     * 某个组织下所有门店数据
     */
    public static final String STORES_IN_ORG_ = "STORES_IN_ORG_";

    /**
     * 某个组织下所有子机构组织ids数据
     */
    public static final String ORG_IN_ALL_SUBORG_ = "ORG_IN_ALL_SUBORG_";

    /**
     * 某个组织下所有父机构组织ids数据
     */
    public static final String ORG_IN_ALL_PAR_ORG_ = "ORG_IN_ALL_PAR_ORG_";
    /**
     * /**
     * 某个组织下所有父子机构组织ids数据
     */
    public static final String ORG_IN_ALL_ORGS_ = "ORG_IN_ALL_ORGS_";

    /**
     * 某个组织下所有父子机构组织ids数据
     */
    public static final String MAKE_MEMBER_DETAIL_ = "MAKE_MEMBER_DETAIL_";

    public static final String MAKE_MEMBER_DETAIL_BY_ID = "MAKE_MEMBER_DETAIL_BY_ID";

    /**
     * 岗位
     */
    public static final String POSTION_ = "POSTION_";


    /**
     * 机构加人员信息
     */
    public static final String ORG_EMPLOYEE_ = "ORG_EMPLOYEE_";

    /**
     * 机构加岗位信息
     */
    public static final String ORG_POSITION_ = "ORG_POSITION_";

    //用户userId
    public static final String USER_ID_ = "user_id_";


    /****    用户模板 ****/

    /**
     * 登录手机号的缓存key前缀
     */
    public static final String LOGIN_CAPTCHA_ = "LOGIN_CAPTCHA_";
}
