package com.jz.manage.moduls.controller.customer.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/10
 * @Version:
 */
@ApiModel(value = "企业详细信息返回参数")
public class CompanyDetailsDto {

    @ApiModelProperty(value = "企业id")
    private Long departmentId;

    @ApiModelProperty(value = "企业名称")
    private String departmentName;

    @ApiModelProperty(value = "联系人姓名")
    private String customerName;

    @ApiModelProperty(value = "联系人电话")
    private String customerPhone;

    @ApiModelProperty(value = "企业地址")
    private String registeredAddress;

    @ApiModelProperty(value = "营业执照")
    private String businessLicense;

    @ApiModelProperty(value = "统一社会信用代码")
    private String unifredCreditCode;

    @ApiModelProperty(value = "银行卡号")
    private String bankCardNubmer;

    @ApiModelProperty(value = "开户行地址")
    private String bankAddress;

    public Long getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Long departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCustomerPhone() {
        return customerPhone;
    }

    public void setCustomerPhone(String customerPhone) {
        this.customerPhone = customerPhone;
    }

    public String getRegisteredAddress() {
        return registeredAddress;
    }

    public void setRegisteredAddress(String registeredAddress) {
        this.registeredAddress = registeredAddress;
    }

    public String getBusinessLicense() {
        return businessLicense;
    }

    public void setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
    }

    public String getUnifredCreditCode() {
        return unifredCreditCode;
    }

    public void setUnifredCreditCode(String unifredCreditCode) {
        this.unifredCreditCode = unifredCreditCode;
    }

    public String getBankCardNubmer() {
        return bankCardNubmer;
    }

    public void setBankCardNubmer(String bankCardNubmer) {
        this.bankCardNubmer = bankCardNubmer;
    }

    public String getBankAddress() {
        return bankAddress;
    }

    public void setBankAddress(String bankAddress) {
        this.bankAddress = bankAddress;
    }
}
