package com.jz.manage.moduls.controller.customer.bean.dto;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/10
 * @Version:
 */
@ApiModel(value = "企业审核信息返回参数")
public class EnterpriseAuditDto {

    @ApiModelProperty(value = "企业id")
    private Long departmentId;

    @ApiModelProperty(value = "企业名称")
    private String departmentName;

    @ApiModelProperty(value = "联系人姓名")
    private String customerName;

    @ApiModelProperty(value = "联系人电话")
    private String customerPhone;

    @ApiModelProperty(value = "审核状态")
    private String auditStatus;

    @ApiModelProperty(value = "提交时间")
    private Date creTime;

    @ApiModelProperty(value = "审核时间")
    private Date auditTime;

    public Long getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Long departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCustomerPhone() {
        return customerPhone;
    }

    public void setCustomerPhone(String customerPhone) {
        this.customerPhone = customerPhone;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }
}
