package com.jz.manage.moduls.controller.customer.bean.request;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/10
 * @Version:
 */
@ApiModel(value = "企业审核信息请求参数封装")
public class EnterpriseAuditRequest extends BasePageBean {

    @ApiModelProperty(value = "企业地址")
    private String registeredAddress;

    @ApiModelProperty(value = "企业名称")
    private String departmentName;

    @ApiModelProperty(value = "联系人电话")
    private String customerPhone;

    @ApiModelProperty(value = "审核状态")
    private String auditStatus;

    public String getRegisteredAddress() {
        return registeredAddress;
    }

    public void setRegisteredAddress(String registeredAddress) {
        this.registeredAddress = registeredAddress;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getCustomerPhone() {
        return customerPhone;
    }

    public void setCustomerPhone(String customerPhone) {
        this.customerPhone = customerPhone;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }
}
