package com.jz.manage.moduls.controller.finance.platForm;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 平台利润中心--充值管理--充值审核参数对象
 *
 * @author Bellamy
 * @since 2020-12-08 10:41:43
 */
@ApiModel(value = "充值管理--充值审核参数对象", description = "充值审核参数对象")
public class BalanceAuditRequest {

    /**
     * 审核意见
     */
    @ApiModelProperty(value = "审核意见")
    private String rejectReason;
    /**
     * 充值id
     */
    @ApiModelProperty(value = "充值id")
    private String customerBalanceId;

    /**
     * 审核状态：01待审核，02审核通过，03未通过
     */
    @ApiModelProperty(value = "审核状态")
    private String auditStatus;

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getCustomerBalanceId() {
        return customerBalanceId;
    }

    public void setCustomerBalanceId(String customerBalanceId) {
        this.customerBalanceId = customerBalanceId;
    }
}