package com.jz.manage.moduls.controller.finance.platForm;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * 平台利润中心--充值详情返回参数对象
 *
 * @author Bellamy
 * @since 2020-12-05 10:41:43
 */
@ApiModel(value = "充值管理--充值详情返回参数对象", description = "充值详情返回参数对象")
public class BalanceInfoDto {

    /**
     * 企业名
     */
    @ApiModelProperty(value = "企业名")
    private String departmentName;
    /**
     * 充值描述
     */
    @ApiModelProperty(value = "充值描述")
    private String remark;

    /**
     * 充值金额
     */
    @ApiModelProperty(value = "充值金额")
    private BigDecimal balanceMoney;

    /**
     * 审核意见
     */
    @ApiModelProperty(value = "审核意见")
    private String rejectReason;

    /**
     * 充值状态：01待审核，02审核通过，03未通过
     */
    @ApiModelProperty(value = "充值状态")
    private String auditStatus;
    /**
     * 充值id
     */
    @ApiModelProperty(value = "充值id")
    private Long customerBalanceId;


    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public BigDecimal getBalanceMoney() {
        return balanceMoney;
    }

    public void setBalanceMoney(BigDecimal balanceMoney) {
        this.balanceMoney = balanceMoney;
    }

    public Long getCustomerBalanceId() {
        return customerBalanceId;
    }

    public void setCustomerBalanceId(Long customerBalanceId) {
        this.customerBalanceId = customerBalanceId;
    }
}