package com.jz.manage.moduls.controller.finance.platForm;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 平台利润中心--提现管理--分页列表参数对象
 *
 * @author Bellamy
 * @since 2020-12-05 10:41:43
 */
@ApiModel(value = "提现管理--分页列表参数对象", description = "分页列表参数对象")
public class CashOutListRequest extends BasePageBean {

    /**
     * 企业名
     */
    @ApiModelProperty(value = "企业名")
    private String departmentName;
    /**
     * 提现描述
     */
    @ApiModelProperty(value = "提现描述")
    private String remark;

    /**
     * 提现状态：01待审核，02审核通过，03未通过
     */
    @ApiModelProperty(value = "提现状态")
    private String auditStatus;

    /**
     * 提现时间
     */
    @ApiModelProperty(value = "提现时间")
    private String casOutTime;

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getCasOutTime() {
        return casOutTime;
    }

    public void setCasOutTime(String casOutTime) {
        this.casOutTime = casOutTime;
    }
}