package com.jz.manage.moduls.controller.finance.platForm;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * 平台利润中心--我的订单--返回对象
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:43
 */
@ApiModel(value = "我的订单--返回对象", description = "我的订单--返回对象")
public class OrderCountInfoDto {

    /**
     * 订单金额
     */
    @ApiModelProperty(value = "订单金额")
    private BigDecimal orderMoney;
    /**
     * 订单时间
     */
    @ApiModelProperty(value = "订单时间")
    private String orderTime;
    /**
     * 订单总数
     */
    @ApiModelProperty(value = "订单总数")
    private String orderTotal;

    public BigDecimal getOrderMoney() {
        return orderMoney;
    }

    public void setOrderMoney(BigDecimal orderMoney) {
        this.orderMoney = orderMoney;
    }

    public String getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(String orderTime) {
        this.orderTime = orderTime;
    }

    public String getOrderTotal() {
        return orderTotal;
    }

    public void setOrderTotal(String orderTotal) {
        this.orderTotal = orderTotal;
    }
}