package com.jz.manage.moduls.controller.finance.platForm;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * 平台利润中心--累计收入和企业总数
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:43
 */
@ApiModel(value = "累计收入和企业总数返回对象", description = "累计收入和企业总数返回对象")
public class PlatFormMoneyAndDepartDto {

    /**
     * 累计收入
     */
    @ApiModelProperty(value = "累计收入")
    private BigDecimal platformReceiveMoney;
    /**
     * 企业总数
     */
    @ApiModelProperty(value = "企业总数")
    private String departTotal;

    public BigDecimal getPlatformReceiveMoney() {
        return platformReceiveMoney;
    }

    public void setPlatformReceiveMoney(BigDecimal platformReceiveMoney) {
        this.platformReceiveMoney = platformReceiveMoney;
    }

    public String getDepartTotal() {
        return departTotal;
    }

    public void setDepartTotal(String departTotal) {
        this.departTotal = departTotal;
    }
}