package com.jz.manage.moduls.controller.goods.bean.request;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @ClassName: 后台--数据商品列表参数对象
 * @Author: Carl
 * @Date: 2020/12/14
 * @Version:
 */
@ApiModel(value = "数据集市--数据商品列表参数对象", description = "数据商品列表参数对象")
public class DataGoodsListRequest extends BasePageBean {

    /**
     * 数据名称
     */
    @ApiModelProperty(value = "数据名称")
    private String dataName;

    /**
     * 数据状态
     */
    @ApiModelProperty(value = "数据状态")
    private String dataStatus;

    /**
     * 数据行业
     */
    @ApiModelProperty(value = "数据行业")
    private Long categoryId;

    /**
     * 数据商品id
     */
    @ApiModelProperty(value = "数据商品id")
    private Long dataGoodsId;

    /**
     * 数据类型
     */
    @ApiModelProperty(value = "数据类型")
    private String dataType;

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public Long getDataGoodsId() {
        return dataGoodsId;
    }

    public void setDataGoodsId(Long dataGoodsId) {
        this.dataGoodsId = dataGoodsId;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }
}
