package com.jz.manage.moduls.controller.order.bean;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 订单表(TOrder)实体类
 *
 * @author makejava
 * @since 2020-12-01 10:41:40
 */

@ApiModel
public class OrderRequest extends BasePageBean {
    private static final long serialVersionUID = 651546246975691600L;
    /**
     * 订单编号
     */
    @ApiModelProperty(value = "订单编号")
    private String departmentName;
    /**
     * 数据行业
     */
    @ApiModelProperty(value = "数据行业")
    private String categoryId;
    /**
     * 购买方式：01年，02季，03月，04次(服务类型)
     */
    @ApiModelProperty(value = "购买方式：01年，02季，03月，04次(服务类型)")
    private String purchaseMethod;
    /**
     * 数据名称
     */
    @ApiModelProperty(value = "数据名称")
    private String dataName;
    /**
     * 数据分类
     */
    @ApiModelProperty(value = "数据分类")
    private String dataType;


    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getPurchaseMethod() {
        return purchaseMethod;
    }

    public void setPurchaseMethod(String purchaseMethod) {
        this.purchaseMethod = purchaseMethod;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }
}