package com.jz.manage.moduls.controller.sys.bean.dto;

import com.jz.common.enums.UserTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @ClassName: 后台用户状态信息
 * @Author: Carl
 * @Date: 2020/12/3
 * @Version:
 */
@ApiModel
public class SysUserDto implements Serializable {

    private static final long serialVersionUID = -8194718171444972705L;
    /**
     * 平台用户id
     */
    @ApiModelProperty(value = "平台用户id")
    private Long userId;
    /**
     * 组织机构id
     */
    @ApiModelProperty(value = "组织机构id")
    private Long orgId;
    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String userName;
    /**
     * 账户
     */
    @ApiModelProperty(value = "账户")
    private String account;

    /**
     * 电话
     */
    @ApiModelProperty(value = "账号类型")
    private UserTypeEnum userTypeEnum;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public UserTypeEnum getUserTypeEnum() {
        return userTypeEnum;
    }

    public void setUserTypeEnum(UserTypeEnum userTypeEnum) {
        this.userTypeEnum = userTypeEnum;
    }
}
