package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 角色表(TSysRole)实体类
 *
 * @author Bellamy
 * @since 2020-11-29 14:30:24
 */
@TableName("t_sys_role")
@ApiModel
public class SysRole implements Serializable {
    private static final long serialVersionUID = 805800518211894799L;
    /**
     * 角色id
     */
    @TableId(value = "role_id",type = IdType.AUTO)
    @ApiModelProperty(value = "角色id")
    private Long roleId;
    /**
     * 角色名称
     */
    @ApiModelProperty(value = "角色名称")
    private String roleName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date creTime;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String crePerson;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date uptTime;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String uptPerson;
    /**
     * 删除标识：Y删除，N未删除
     */
    @ApiModelProperty(value = "删除标识：Y删除，N未删除")
    private String delFlag;


    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public String getCrePerson() {
        return crePerson;
    }

    public void setCrePerson(String crePerson) {
        this.crePerson = crePerson;
    }

    public Date getUptTime() {
        return uptTime;
    }

    public void setUptTime(Date uptTime) {
        this.uptTime = uptTime;
    }

    public String getUptPerson() {
        return uptPerson;
    }

    public void setUptPerson(String uptPerson) {
        this.uptPerson = uptPerson;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

}