package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;

/**
 * (TSysUserRole)实体类
 *
 * @author Bellamy
 * @since 2020-11-29 14:30:26
 */
@TableName("t_sys_user_role")
@ApiModel
public class SysUserRole implements Serializable {
    private static final long serialVersionUID = -55311533564196399L;
    /**
     * 主键
     */
    @TableId(value = "user_role_id",type = IdType.AUTO)
    private Long userRoleId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 角色id
     */
    private Long roleId;


    public Long getUserRoleId() {
        return userRoleId;
    }

    public void setUserRoleId(Long userRoleId) {
        this.userRoleId = userRoleId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

}