package com.jz.manage.moduls.mapper;

import com.jz.common.base.BaseMapper;
import com.jz.manage.moduls.controller.finance.platForm.BalanceInfoDto;
import com.jz.manage.moduls.controller.finance.platForm.BalanceListDto;
import com.jz.manage.moduls.entity.FinanceCustomerBalance;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 企业客户充值记录(TFinanceCustomerBalance)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:38
 */
public interface FinanceCustomerBalanceDao extends BaseMapper<FinanceCustomerBalance> {


    List<BalanceListDto> findListBalance(Map param) throws Exception;

    BalanceInfoDto queryBalanceByid(@Param("customerBalanceId") String customerBalanceId) throws Exception;
}