package com.jz.manage.moduls.mapper;

import com.jz.common.base.BaseMapper;
import com.jz.manage.moduls.controller.order.bean.OrderDetailDto;
import com.jz.manage.moduls.controller.order.bean.OrderDto;
import com.jz.manage.moduls.entity.Order;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 订单表(TOrder)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:40
 */
public interface OrderDao extends BaseMapper<Order> {


    List<OrderDto> queryListOrderInfo(Map param) throws Exception;

    OrderDetailDto queryOrderDetail(@Param("orderId") String orderId) throws Exception;
}