package com.jz.manage.moduls.mapper;

import com.jz.common.base.BaseMapper;
import com.jz.common.entity.PlatformTradeFlowInfo;
import com.jz.manage.moduls.controller.finance.platForm.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 平台交易流水(TPlatformTradeFlowInfo)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:43
 */
public interface PlatformTradeFlowInfoDao extends BaseMapper<PlatformTradeFlowInfo> {

    PlatFormMoneyAndDepartDto queryPlatFormMoneyAndDepart(Map map) throws Exception;

    List<OrderCountInfoDto> findListOrderCount(Map param) throws Exception;

    List<TradeDetilDto> findListFinanceTradeDetil(Map param) throws Exception;

    List<CashOutListDto> findListFinanceCashOut(Map param) throws Exception;

    CashOutInfoDto queryCashOutByid(@Param("cashOutId") String cashOutId) throws Exception;
}