package com.jz.manage.moduls.service;

import com.jz.common.bean.BasePageBean;
import com.jz.common.bean.PageInfoResponse;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.finance.platForm.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 平台交易流水(TPlatformTradeFlowInfo)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:44
 */
public interface PlatformTradeFlowInfoService {


    PlatFormMoneyAndDepartDto queryPlatFormMoneyAndDepart(Map map) throws Exception;

    PageInfoResponse<OrderCountInfoDto> findListOrderCount(BasePageBean pageBean, HttpServletRequest httpRequest) throws Exception;

    PageInfoResponse<TradeDetilDto> findListFinanceTradeDetil(TradeDetilRequest tradeDetilRequest, HttpServletRequest httpRequest) throws Exception;

    PageInfoResponse<CashOutListDto> findListFinanceCashOut(CashOutListRequest cashOutListRequest, HttpServletRequest httpRequest) throws Exception;

    CashOutInfoDto queryCashOutByid(String cashOutId) throws Exception;

    Result<Object> uptCashOutInfoAuditByid(CashOutAuditRequest cashOutAuditRequest) throws Exception;
}