package com.jz.manage;

import com.jz.common.utils.DateUtils;
import com.jz.manage.moduls.controller.goods.bean.request.DataApiUpReq;
import com.jz.manage.moduls.entity.DataGoodsApiParams;
import com.jz.manage.moduls.service.DataGoodsService;
import com.jz.manage.moduls.service.SysUserService;
import com.jz.manage.moduls.service.TestUserService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest
public class manageApplicationTests {
    @Autowired
    private TestUserService userService;
    @Autowired
    private SysUserService sysUserService;
    @Autowired
    private DataGoodsService dataGoodsService;

    @Test
    public void contextLoads() {
    }

    @Test
    public void aa() {
        System.out.print(userService.getTest().toString());
        userService.getTest();
    }

    @Test
    public void getUserRoleByAccount() throws Exception {
        DataApiUpReq dataApiUpReq = new DataApiUpReq();
        dataApiUpReq.setApiName("华为");
        dataApiUpReq.setRequestType("的撒旦");
        dataApiUpReq.setApiUrl("http://localhost/dataGoods/uploadApi");
        dataApiUpReq.setReturnDataExample("dadasdadafaf");
        dataApiUpReq.setApiKey("5");
        dataApiUpReq.setEncryMode("MD5");
        dataApiUpReq.setTransMode("http");
        dataApiUpReq.setApiFunction("fafafaffaf");
        dataApiUpReq.setVersionNumber("1.0");
        dataApiUpReq.setPriceType("01");
        dataApiUpReq.setApiType("1");
        dataApiUpReq.setApiDesc("fafsafafasff");
        dataApiUpReq.setDataPicture("http://wx4.sinaimg.cn/bmiddle/006GJQvhly1gkx4ezwcr4j328g28g1kx.jpg");
        dataApiUpReq.setYearType(BigDecimal.valueOf(1));
        List<DataGoodsApiParams> paramsList = new ArrayList<>();
        for (DataGoodsApiParams params : paramsList) {
            params.setParamsDiff("01");
            params.setParamsName("xiaomi");
            params.setParamsType("哒哒哒");
            params.setCreTime(DateUtils.getToday());
        }
        dataApiUpReq.setParamsList(paramsList);
        dataGoodsService.uploadApi(dataApiUpReq);
    }
}
