package com.jz.dm.common.constant;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * 日志常量
 *
 */
public class LoggingConstants {

    /** 业务摘要日志 */
    public static final Logger DIGEST_LOGGER         = LoggerFactory.getLogger("GATEWAY-DIGEST");

    /** 报警日志，内容关键字用##号包括，便于报警信息归类 */
    public static final Logger ALERT_LOGGER          = LoggerFactory.getLogger("GATEWAY-ALERT");

    /** 网关路由分发 */
    public static final Logger DISPATCHER_LOGGER     = LoggerFactory
        .getLogger("GATEWAY-DISPATCHER");

    public static final Logger REGISTRY_LOGGER       = LoggerFactory.getLogger("GATEWAY-REGISTRY");

    /** 分隔符*/
    public static final String SEP                   = ",";

    /** 点分割符*/
    public static final String DOT_SEP               = ".";

    /** 默认值*/
    public static final String DEFAULT_STR           = "-";

    /** 冒号 */
    public static final String COLON                 = ":";

    /** 金额币种分隔 */
    public static final String AMOUNT_CURRENCY_SPLIT = "^";

    /** 左中括号 */
    public static final String LBRACKET              = "[";

    /** 右中括号 */
    public static final String RBRACKET              = "]";

    /** "@" 符号*/
    public static final String MONKEYS_AT            = "@";


    /** "&" 符号*/
    public static final String AND_SPILT            = "&";
}
