package com.jz.dm.common.enums.org;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.common.enums.org
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: OrgStatusEnum
 * @DATE: 2021-1-1/11:17
 * @DAY_NAME_SHORT: 周五
 * @Description:
 **/
public enum OrgStatusEnum {

    NORMAL("正常"),
    FREEZE("冻结"),
    CANCEL("注销");

    private String text;

    OrgStatusEnum(String text) {
        this.text = text;
    }

    public String getText() {
        return text;
    }

    public static OrgStatusEnum fromTypeName(String typeName) {
        for (OrgStatusEnum type : OrgStatusEnum.values()) {
            if (type.name().equals(typeName)) {
                return type;
            }
        }
        return null;
    }
}
