package com.jz.dm.common.enums.produce;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.common.enums.produce
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ProducerStatusTypeEnum
 * @DATE: 2021-1-1/18:04
 * @DAY_NAME_SHORT: 周五
 * @Description:
 **/
public enum  ProducerStatusTypeEnum {

    DRAFT("草稿"),
    ISSUE("发布"),
    OUTMODED("过时"),
    FREEZE("冻结"),
    EXPIRY("失效");
    private String text;

    ProducerStatusTypeEnum(String text) {
        this.text = text;
    }

    public String getText() {
        return text;
    }

    public static ProducerStatusTypeEnum fromTypeName(String typeName) {
        for (ProducerStatusTypeEnum type : ProducerStatusTypeEnum.values()) {
            if (type.name().equals(typeName)) {
                return type;
            }
        }
        return null;
    }
}
