package com.jz.dm.common.util;

import java.util.Calendar;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.common.util
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: DateUtil
 * @DATE: 2021-1-2/21:55
 * @DAY_NAME_SHORT: 周六
 * @Description: 时间工具类处理时间
 **/
public class DateUtil {

    /**
     * 计算当前距离23:59:59剩余时间
     * @return
     */
    public static long calculateNowResidueTime(){
        Calendar cal = Calendar.getInstance();
        cal.add(Calendar.DAY_OF_YEAR, 1);
        cal.set(Calendar.HOUR_OF_DAY, 0);
        cal.set(Calendar.SECOND, 0);
        cal.set(Calendar.MINUTE, 0);
        cal.set(Calendar.MILLISECOND, 0);
        return (cal.getTimeInMillis() - System.currentTimeMillis()) / 1000;
    }

    public static void main(String[] args) {
        System.out.println(calculateNowResidueTime());
    }
}
