package com.jz.dm.filter;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * 过滤器工厂
 *
 */
@Component
public class FilterFactory {

    /**
     * 过滤器列表
     */
    @Autowired
    private final List<Filter> filters = new ArrayList<Filter>();

    /**
     * 获取过滤器列表
     * 
     * @return
     */
    public List<Filter> getFilters() {
        return filters;
    }
}
