package com.jz.dm.models.req.auth;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: AuthDetailInfoReq
 * @DATE: 2020-12-26/15:56
 * @DAY_NAME_SHORT: 周六
 * @Description:
 **/
@Data
@ApiModel("认证详情信息查询")
public class AuthDetailInfoReq implements Serializable {

    @ApiModelProperty(value = "id",required = true)
    @NotNull(message = "id不能为空")
    private Long id;
}
