package com.jz.dm.models.req.organizationManage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: OrganizationManageListQueryReq
 * @DATE: 2020-12-24/10:34
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
@Data
@ApiModel("组织管理详情请求体")
public class OrganizationManageDetailQueryReq  implements Serializable {
    @ApiModelProperty(value = "组织id",required = true)
    @NotNull(message = "组织id不能为空")
    private Long id;
}
