package com.jz.dm.models.req.organizationManage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.models.req
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: OrganizationManageUpdateReq
 * @DATE: 2020-12-24/11:46
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
@Data
@ApiModel("更新组织请求体")
public class OrganizationManageUpdateReq implements Serializable {

    @ApiModelProperty(value = "id",required = true)
    @NotNull(message = "id不能为空")
    private Long id;

   /* @ApiModelProperty(value = "组织名称",required = true)
    @NotNull(message = "组织名称不能为空")
    private String orgName;*/

    @ApiModelProperty(value = "组织描述",required = false)
    private String orgDesc;

    @ApiModelProperty(value = "状态(NORMAL-正常 FREEZE-冻结 CANCEL-注销)",required = false)
    private String status;

    @ApiModelProperty(value = "组织英文名称",required = false)
    private String orgCnName;

    @ApiModelProperty(value = "组织邮箱",required = false)
    private String orgMail;

    @ApiModelProperty(value = "组织电话",required = false)
    private String orgPhone;

    @ApiModelProperty(value = "备注",required = false)
    private String remark;
}
