package com.jz.dm.service;

import com.jz.dm.models.domian.ApiDirection;

import java.util.List;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.service.impl
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiDirectionService
 * @DATE: 2020-12-31/18:00
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
public interface ApiDirectionService {

    /**
     * 根据类型获取API类型信息
     * @param parentKey
     * @return
     */
    List<ApiDirection> getApiType(String parentKey);

    /**
     * 查询code值信息
     * @param code
     * @param key
     * @return
     */
    List<ApiDirection> getDirectionVal(String key,String code);
}
