package com.jz.dm.web.annotation;

import java.lang.annotation.*;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.web.annotation
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: ApiLogAspect
 * @DATE: 2020-12-25/15:50
 * @DAY_NAME_SHORT: 周五
 * @Description: api全局切面日志
 **/
@Target({ElementType.PARAMETER, ElementType.METHOD})//作用在参数和方法上
@Retention(RetentionPolicy.RUNTIME)//运行时注解
@Documented//表明这个注解应该被 javadoc工具记录
public @interface ApiLogAspect {
    String description() default "";
}
