package com.jz.dm.gateway.orther;

import com.alibaba.fastjson.JSONObject;
import com.jz.common.utils.HttpsUtils;
import com.jz.dm.gateway.SpringTestCase;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.HashMap;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.gateway.orther
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: TestHttpReq
 * @DATE: 2021-1-3/10:15
 * @DAY_NAME_SHORT: 周日
 * @Description:
 **/
public class TestHttpReq extends SpringTestCase {
    private static final String  baseUrl ="http://localhost:8081/logInfo/getMallLogDetail/1";
    private static final String  baseUrlPost ="http://localhost:8081/logInfo/getMallLogInfo";
    @Autowired
    private HttpsUtils httpsUtils;

    @Test
    public void getReqTest(){
        String response = httpsUtils.doGet(baseUrl, new HashMap<>());
        System.out.println(response);
    }
    @Test
    public void postReqTest(){
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("pageNum",1);
        jsonObject.put("pageSize",20);

        HashMap<String, String> headers = new HashMap<>();
        headers.put("connection", "keep-alive");
        headers.put("Charsert", "UTF-8");
        headers.put("Accept", "text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,*/*;q=0.8");
        String response = httpsUtils.submitPost(baseUrlPost, jsonObject,headers);

        System.out.println(response);
    }
}
