package com.jz.dm.gateway.orther;

import com.alibaba.fastjson.JSONObject;
import com.jz.common.utils.HttpsUtils;
import com.jz.dm.gateway.SpringTestCase;
import com.jz.dm.service.ProducerService;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.HashMap;
import java.util.Map;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.gateway.orther
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: TestMakeApi
 * @DATE: 2020-12-31/14:00
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
public class TestMakeApi extends SpringTestCase {
    private static final String url = "http://localhost:8088/api/producer/addDataBankApiInfo";

    @Autowired
    private ProducerService producerService;
    @Autowired
    private HttpsUtils httpsUtils;

    @Test
    public void testApiMake() {
        Map headers = new HashMap<String, String>();
        headers.put("Content-Type","application/json;charset=UTF-8");
        headers.put("User-Agent","Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.84 Safari/537.36");
        JSONObject params = new JSONObject();
        params.put("apiType","2");
        params.put("apiKey","www.q99sss9");
        params.put("apiProtocl","HTTPS");
        params.put("type","1");
        try {
            String result = httpsUtils.submitPost(url, params,headers);
            System.out.println("接受到的结果为:"+result);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
