package com.jz.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.util.Date;

/**
 * 数据商品分类(行业)(TDataGoodsCategory)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:32
 */
@TableName("t_data_goods_category")
@ApiModel
public class DataGoodsCategory implements Serializable {
    private static final long serialVersionUID = -54881838919746328L;
    /**
     * 商品分类id
     */
    private Long categoryId;
    /**
     * 分类名称
     */
    private String categoryName;
    /**
     * 父级分类id
     */
    private Long parentId;
    /**
     * 是否为子节点：Y是，N否
     */
    private String ifChild;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 更新时间
     */
    private Date uptTime;

    private String delFlag;


    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getIfChild() {
        return ifChild;
    }

    public void setIfChild(String ifChild) {
        this.ifChild = ifChild;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public Date getUptTime() {
        return uptTime;
    }

    public void setUptTime(Date uptTime) {
        this.uptTime = uptTime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

}