package com.jz.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 平台资产账户(TPlatformAssets)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:42
 */
@TableName("t_platform_assets")
@ApiModel
public class PlatformAssets implements Serializable {
    private static final long serialVersionUID = 852205753746020978L;
    /**
     * 平台资产id
     */
    private Long platformAssetsId;
    /**
     * 平台用户id
     */
    private Long platformUserId;
    /**
     * 平台金额
     */
    private BigDecimal platformMoney;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 创建人
     */
    private String crePerson;
    /**
     * 更新时间
     */
    private Date uptTime;
    /**
     * 更新人
     */
    private String uptPerson;
    /**
     * 删除标识
     */
    private String delFlag;


    public Long getPlatformAssetsId() {
        return platformAssetsId;
    }

    public void setPlatformAssetsId(Long platformAssetsId) {
        this.platformAssetsId = platformAssetsId;
    }

    public Long getPlatformUserId() {
        return platformUserId;
    }

    public void setPlatformUserId(Long platformUserId) {
        this.platformUserId = platformUserId;
    }

    public BigDecimal getPlatformMoney() {
        return platformMoney;
    }

    public void setPlatformMoney(BigDecimal platformMoney) {
        this.platformMoney = platformMoney;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public String getCrePerson() {
        return crePerson;
    }

    public void setCrePerson(String crePerson) {
        this.crePerson = crePerson;
    }

    public Date getUptTime() {
        return uptTime;
    }

    public void setUptTime(Date uptTime) {
        this.uptTime = uptTime;
    }

    public String getUptPerson() {
        return uptPerson;
    }

    public void setUptPerson(String uptPerson) {
        this.uptPerson = uptPerson;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

}