package com.jz.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 平台收款信息(TPlatfromReceiveInfo)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:44
 */
@TableName("t_platfrom_receive_info")
@ApiModel
public class PlatfromReceiveInfo implements Serializable {
    private static final long serialVersionUID = 173058505716917320L;
    /**
     * 收款信息id
     */
    private Long receiveInfoId;
    /**
     * 平台资产id
     */
    private Long platformAssetsId;
    /**
     * 收款金额
     */
    private BigDecimal receiveMoney;
    /**
     * 收款时间
     */
    private Date receiveTime;
    /**
     * 收款类型
     */
    private String receiveType;
    /**
     * 付款人
     */
    private String paymentPersonId;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 删除标识
     */
    private String delFlag;


    public Long getReceiveInfoId() {
        return receiveInfoId;
    }

    public void setReceiveInfoId(Long receiveInfoId) {
        this.receiveInfoId = receiveInfoId;
    }

    public Long getPlatformAssetsId() {
        return platformAssetsId;
    }

    public void setPlatformAssetsId(Long platformAssetsId) {
        this.platformAssetsId = platformAssetsId;
    }

    public BigDecimal getReceiveMoney() {
        return receiveMoney;
    }

    public void setReceiveMoney(BigDecimal receiveMoney) {
        this.receiveMoney = receiveMoney;
    }

    public Date getReceiveTime() {
        return receiveTime;
    }

    public void setReceiveTime(Date receiveTime) {
        this.receiveTime = receiveTime;
    }

    public String getReceiveType() {
        return receiveType;
    }

    public void setReceiveType(String receiveType) {
        this.receiveType = receiveType;
    }

    public String getPaymentPersonId() {
        return paymentPersonId;
    }

    public void setPaymentPersonId(String paymentPersonId) {
        this.paymentPersonId = paymentPersonId;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

}