package com.jz.common.enums;

/**
 * @ClassName: 商品价格类型
 * @Author: Carl
 * @Date: 2020/12/8
 * @Version:
 */
public enum PriceTypeEnum {

    /**
     * 免费
     */
    MF("MF", "01"),

    /**
     * 收费
     */
    SF("SF", "02"),

    ;

    private String code;

    private String value;

    PriceTypeEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public static PriceTypeEnum get(String code) {
        if (code == null) {
            return null;
        }
        for (PriceTypeEnum status : values()) {
            if (status.getCode().equalsIgnoreCase(code)) {
                return status;
            }
        }
        return null;
    }
}
