package com.jz.common.utils;

/**
 * 常量
 *
 */
public class Constants {

    public static final String SIGN_TYPE_RSA             = "RSA";

    /**
     * sha256WithRsa 算法请求类型
     */
    public static final String SIGN_TYPE_RSA2            = "RSA2";


    public static final String ENCRYPT_TYPE_AES          = "AES";

    public static final String APP_KEY                    = "app_key";

    public static final String FORMAT                    = "format";

    public static final String METHOD                    = "method";

    public static final String TIMESTAMP                 = "timestamp";

    public static final String VERSION                   = "version";

    public static final String SIGN_TYPE                 = "sign_type";

    public static final String SIGN                      = "sign";

    public static final String CHARSET                   = "charset";

    public static final String ENCRYPT_TYPE              = "encrypt_type";

    public static final String PARAMS                    = "params";

    public static final String RESPONSE                  = "response";

    public static final String SUCCESS                   = "SUCCESS";

    /** 默认时间格式 **/
    public static final String DATE_TIME_FORMAT          = "yyyy-MM-dd HH:mm:ss";

    /**  Date默认时区 **/
    public static final String DATE_TIMEZONE             = "GMT+8";

    /** UTF-8字符集 **/
    public static final String CHARSET_UTF8              = "UTF-8";

    /** GBK字符集 **/
    public static final String CHARSET_GBK               = "GBK";

    /** JSON 应格式 */
    public static final String FORMAT_JSON               = "JSON";
    /** 生成内部授权码格式 */
    public static final String AUTH_INT               = "INT";
    /** 生成外部授权码格式 */
    public static final String AUTH_OUT               = "OUT";

    /** XML 应格式 */
    public static final String FORMAT_XML                = "XML";

    /** 默认版本 */
    public static final String DEFAULT_VERSION           = "1.0.0";

    public static final int FILTER_ORDER_0               = 0;
    public static final int FILTER_ORDER_1               = 1;
    public static final int FILTER_ORDER_2               = 2;
    public static final int FILTER_ORDER_3               = 3;
    public static final int FILTER_ORDER_4               = 4;
    public static final int FILTER_ORDER_5               = 5;
    public static final int FILTER_ORDER_6               = 6;

}
