package com.jz.dm.mall.moduls.controller.goods.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/9
 * @Version:
 */
@ApiModel("热门商品api")
public class MallHotRecommendGoodsDto implements Serializable {

    @ApiModelProperty(value = "数据商品id")
    private Long dataGoodsId;

    @ApiModelProperty(value = "数据商品名称")
    private String dataName;

    @ApiModelProperty(value = "数据商品类型")
    private String dataType;

    @ApiModelProperty(value = "数据商品标签")
    private String dataLabel;

    @ApiModelProperty(value = "数据商品图片")
    private String dataPicture;

    @ApiModelProperty(value = "数据商品价格")
    private BigDecimal dataPrice;

    @ApiModelProperty(value = "优惠价格")
    private BigDecimal discountPrice;

    @ApiModelProperty(value = "用户使用人数")
    private Long usePerson;

    public Long getDataGoodsId() {
        return dataGoodsId;
    }

    public void setDataGoodsId(Long dataGoodsId) {
        this.dataGoodsId = dataGoodsId;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getDataLabel() {
        return dataLabel;
    }

    public void setDataLabel(String dataLabel) {
        this.dataLabel = dataLabel;
    }

    public String getDataPicture() {
        return dataPicture;
    }

    public void setDataPicture(String dataPicture) {
        this.dataPicture = dataPicture;
    }


    public BigDecimal getDataPrice() {
        return dataPrice;
    }

    public void setDataPrice(BigDecimal dataPrice) {
        this.dataPrice = dataPrice;
    }

    public BigDecimal getDiscountPrice() {
        return discountPrice;
    }

    public void setDiscountPrice(BigDecimal discountPrice) {
        this.discountPrice = discountPrice;
    }

    public Long getUsePerson() {
        return usePerson;
    }

    public void setUsePerson(Long usePerson) {
        this.usePerson = usePerson;
    }
}
