package com.jz.dm.mall.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.util.Date;

/**
 * 商城用户(TMallCustomer)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:39
 */
@TableName("t_mall_customer")
@ApiModel
public class MallCustomer implements Serializable {
    private static final long serialVersionUID = 844124479008859411L;
    /**
     * 用户id
     */
    @TableId(value = "customer_id",type = IdType.AUTO)
    private Long customerId;
    /**
     * 企业id
     */
    private Long departmentId;
    /**
     * 密码
     */
    private String password;
    /**
     * 账户
     */
    private String customerAccount;
    /**
     * 用户真实姓名
     */
    private String customerName;
    /**
     * 联系电话
     */
    private String customerPhone;
    /**
     * 邮箱
     */
    private String customerEmail;
    /**
     * 地址
     */
    private String customerAddress;
    /**
     * 用户积分
     */
    private Long customerPoint;
    /**
     * 注册时间
     */
    private Date registerTime;
    /**
     * 会员等级
     */
    private String customerLevel;
    /**
     * 证件号
     */
    private String identityCard;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 更新时间
     */
    private Date uptTime;
    /**
     * 更新人
     */
    private String uptPerson;
    /**
     * 删除标识：Y是，N否
     */
    private String delFlag;


    public String getUptPerson() {
        return uptPerson;
    }

    public void setUptPerson(String uptPerson) {
        this.uptPerson = uptPerson;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public Long getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(Long departmentId) {
        this.departmentId = departmentId;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getCustomerAccount() {
        return customerAccount;
    }

    public void setCustomerAccount(String customerAccount) {
        this.customerAccount = customerAccount;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCustomerPhone() {
        return customerPhone;
    }

    public void setCustomerPhone(String customerPhone) {
        this.customerPhone = customerPhone;
    }

    public String getCustomerEmail() {
        return customerEmail;
    }

    public void setCustomerEmail(String customerEmail) {
        this.customerEmail = customerEmail;
    }

    public String getCustomerAddress() {
        return customerAddress;
    }

    public void setCustomerAddress(String customerAddress) {
        this.customerAddress = customerAddress;
    }

    public Long getCustomerPoint() {
        return customerPoint;
    }

    public void setCustomerPoint(Long customerPoint) {
        this.customerPoint = customerPoint;
    }

    public Date getRegisterTime() {
        return registerTime;
    }

    public void setRegisterTime(Date registerTime) {
        this.registerTime = registerTime;
    }

    public String getCustomerLevel() {
        return customerLevel;
    }

    public void setCustomerLevel(String customerLevel) {
        this.customerLevel = customerLevel;
    }

    public String getIdentityCard() {
        return identityCard;
    }

    public void setIdentityCard(String identityCard) {
        this.identityCard = identityCard;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public Date getUptTime() {
        return uptTime;
    }

    public void setUptTime(Date uptTime) {
        this.uptTime = uptTime;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

}