package com.jz.dm.mall.moduls.service;

import com.jz.common.utils.Result;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.mall.moduls.service
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: PersonalUserControllerService
 * @USER: key
 * @DATE: 2020-12-3/18:04
 * @DAY_NAME_SHORT: 周四
 * @Description:
 **/
public interface PersonalUserControllerService {
    /**
     * 获取登录用户信息
     * @return
     */
    Result getUserInfo();

    /**
     * 修改用户密码
     * @param oldPassWard
     * @param newPassWard
     * @return
     */
    Result updateUserPassWard(String oldPassWard, String newPassWard);
}
