package com.jz.manage.moduls.controller.finance.platForm;

import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 平台利润中心--充值管理--分页列表参数对象
 *
 * @author Bellamy
 * @since 2020-12-05 10:41:43
 */
@ApiModel(value = "充值管理--分页列表参数对象", description = "分页列表参数对象")
public class BalanceListRequest extends BasePageBean {

    /**
     * 企业名
     */
    @ApiModelProperty(value = "企业名")
    private String departmentName;
    /**
     * 充值描述
     */
    @ApiModelProperty(value = "充值描述")
    private String remark;

    /**
     * 充值状态：01待审核，02审核通过，03未通过
     */
    @ApiModelProperty(value = "充值状态")
    private String auditStatus;

    /**
     * 充值时间
     */
    @ApiModelProperty(value = "充值时间")
    private String balanceTime;

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getBalanceTime() {
        return balanceTime;
    }

    public void setBalanceTime(String balanceTime) {
        this.balanceTime = balanceTime;
    }
}