package com.jz.manage.moduls.controller.finance.platForm;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 平台利润中心--提现管理--提现参数对象
 *
 * @author Bellamy
 * @since 2020-12-05 10:41:43
 */
@ApiModel(value = "提现管理--提现参数对象", description = "提现参数对象")
public class CashOutAuditRequest {

    /**
     * 审核意见
     */
    @ApiModelProperty(value = "审核意见")
    private String rejectReason;
    /**
     * 提现id
     */
    @ApiModelProperty(value = "提现id")
    private String cashOutId;

    /**
     * 审核状态：01待审核，02审核通过，03未通过
     */
    @ApiModelProperty(value = "审核状态")
    private String auditStatus;

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public String getCashOutId() {
        return cashOutId;
    }

    public void setCashOutId(String cashOutId) {
        this.cashOutId = cashOutId;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }
}