package com.jz.manage.moduls.controller.goods.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/14
 * @Version:
 */
@ApiModel("数据管理-数据详情参数")
public class DataGoodsApiDto {

    @ApiModelProperty(value = "数据id")
    private Long dataGoodsId;

    @ApiModelProperty(value = "数据商品名称")
    private String dataName;

    @ApiModelProperty(value = "数据类型")
    private String dataType;

    @ApiModelProperty(value = "商品分类名称")
    private String categoryName;

    @ApiModelProperty(value = "更新时间")
    private Date uptTime;

    @ApiModelProperty(value = "数据状态")
    private String dataStatus;

    @ApiModelProperty(value = "价格类型")
    private String priceType;

    @ApiModelProperty(value = "接口地址")
    private String apiUrl;

    @ApiModelProperty(value = "接口方法")
    private String apiMethod;

    @ApiModelProperty(value = "请求方式")
    private String requestType;

    @ApiModelProperty(value = "返回类型")
    private String returnType;

    @ApiModelProperty(value = "apiKey")
    private String apiKey;

    @ApiModelProperty(value = "token")
    private String requestToken;

    @ApiModelProperty(value = "参数分类")
    private String paramsDiff;

    @ApiModelProperty(value = "参数名称")
    private String paramsName;

    @ApiModelProperty(value = "参数值")
    private String defaultValue;

    @ApiModelProperty(value = "参数描述")
    private String paramsDesc;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "api返回数据样例")
    private String returnDataExample;

    @ApiModelProperty(value = "参数分类数字")
    private String paramsDiffNum;

    public String getDataStatus() {
        return dataStatus;
    }

    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus;
    }

    public String getParamsDiffNum() {
        return paramsDiffNum;
    }

    public void setParamsDiffNum(String paramsDiffNum) {
        this.paramsDiffNum = paramsDiffNum;
    }

    public Long getDataGoodsId() {
        return dataGoodsId;
    }

    public void setDataGoodsId(Long dataGoodsId) {
        this.dataGoodsId = dataGoodsId;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getDataName() {
        return dataName;
    }

    public void setDataName(String dataName) {
        this.dataName = dataName;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getPriceType() {
        return priceType;
    }

    public void setPriceType(String priceType) {
        this.priceType = priceType;
    }

    public Date getUptTime() {
        return uptTime;
    }

    public void setUptTime(Date uptTime) {
        this.uptTime = uptTime;
    }

    public String getApiUrl() {
        return apiUrl;
    }

    public void setApiUrl(String apiUrl) {
        this.apiUrl = apiUrl;
    }

    public String getApiMethod() {
        return apiMethod;
    }

    public void setApiMethod(String apiMethod) {
        this.apiMethod = apiMethod;
    }

    public String getRequestType() {
        return requestType;
    }

    public void setRequestType(String requestType) {
        this.requestType = requestType;
    }

    public String getReturnType() {
        return returnType;
    }

    public void setReturnType(String returnType) {
        this.returnType = returnType;
    }

    public String getApiKey() {
        return apiKey;
    }

    public void setApiKey(String apiKey) {
        this.apiKey = apiKey;
    }

    public String getRequestToken() {
        return requestToken;
    }

    public void setRequestToken(String requestToken) {
        this.requestToken = requestToken;
    }

    public String getParamsDiff() {
        return paramsDiff;
    }

    public void setParamsDiff(String paramsDiff) {
        this.paramsDiff = paramsDiff;
    }

    public String getParamsName() {
        return paramsName;
    }

    public void setParamsName(String paramsName) {
        this.paramsName = paramsName;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getReturnDataExample() {
        return returnDataExample;
    }

    public void setReturnDataExample(String returnDataExample) {
        this.returnDataExample = returnDataExample;
    }

    public String getParamsDesc() {
        return paramsDesc;
    }

    public void setParamsDesc(String paramsDesc) {
        this.paramsDesc = paramsDesc;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
