package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.util.Date;

/**
 * 文件处理状态表
 * (TFileHandleStatus)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:36
 */
@TableName("t_fileHandle_status")
@ApiModel
public class FileHandleStatus implements Serializable {
    private static final long serialVersionUID = 846889670741643770L;
    /**
     * 文件处理状态id
     */
    private Long handleStatusId;
    /**
     * 文件存入id
     */
    private Long fileDeposit;
    /**
     * 存入状态：01待处理，02处理中，03处理完成
     */
    private String depositStatus;
    /**
     * 存入状态结果码：成功、错误码
     */
    private String depositStatusResult;
    /**
     * 创建时间
     */
    private Date creTime;


    public Long getHandleStatusId() {
        return handleStatusId;
    }

    public void setHandleStatusId(Long handleStatusId) {
        this.handleStatusId = handleStatusId;
    }

    public Long getFileDeposit() {
        return fileDeposit;
    }

    public void setFileDeposit(Long fileDeposit) {
        this.fileDeposit = fileDeposit;
    }

    public String getDepositStatus() {
        return depositStatus;
    }

    public void setDepositStatus(String depositStatus) {
        this.depositStatus = depositStatus;
    }

    public String getDepositStatusResult() {
        return depositStatusResult;
    }

    public void setDepositStatusResult(String depositStatusResult) {
        this.depositStatusResult = depositStatusResult;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

}