package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.util.Date;

/**
 * 文件预处理状态表
 * (TFilePretreatmentStatus)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:37
 */
@TableName("t_file_pretreatment_status")
@ApiModel
public class FilePretreatmentStatus implements Serializable {
    private static final long serialVersionUID = 990221007099254779L;
    /**
     * 文件预处理状态id
     */
    private Long pretreatmentStatusId;
    /**
     * 文件存入id
     */
    private Long fileDeposit;
    /**
     * 文件预处理状态：01上传，02预处理中，03预处理完成
     */
    private String pretreatmentStatus;
    /**
     * 预处理结果状态码：成功、错误码
     */
    private String pretreatmentStatusResult;
    /**
     * 探查json
     */
    private String exploreJson;
    /**
     * 创建时间
     */
    private Date creTime;


    public Long getPretreatmentStatusId() {
        return pretreatmentStatusId;
    }

    public void setPretreatmentStatusId(Long pretreatmentStatusId) {
        this.pretreatmentStatusId = pretreatmentStatusId;
    }

    public Long getFileDeposit() {
        return fileDeposit;
    }

    public void setFileDeposit(Long fileDeposit) {
        this.fileDeposit = fileDeposit;
    }

    public String getPretreatmentStatus() {
        return pretreatmentStatus;
    }

    public void setPretreatmentStatus(String pretreatmentStatus) {
        this.pretreatmentStatus = pretreatmentStatus;
    }

    public String getPretreatmentStatusResult() {
        return pretreatmentStatusResult;
    }

    public void setPretreatmentStatusResult(String pretreatmentStatusResult) {
        this.pretreatmentStatusResult = pretreatmentStatusResult;
    }

    public String getExploreJson() {
        return exploreJson;
    }

    public void setExploreJson(String exploreJson) {
        this.exploreJson = exploreJson;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

}