package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.util.Date;

/**
 * 文件存入字段信息表
 * (TFileSaveFieldInfo)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:37
 */
@TableName("t_file_save_field_info")
@ApiModel
public class FileSaveFieldInfo implements Serializable {
    private static final long serialVersionUID = -34603271687376756L;
    /**
     * 文件存入字段信息id
     */
    private Long saveInfoId;
    /**
     * 文件存入id
     */
    private Long fileDeposit;
    /**
     * 字段名称
     */
    private String fieldName;
    /**
     * 字段类型
     */
    private String fieldType;
    /**
     * 修改字段名称
     */
    private String modifyFieldName;
    /**
     * 修改字段类型
     */
    private String modifyFieldType;
    /**
     * 备注
     */
    private String remark;
    /**
     * 是否主键:Y是，N否
     */
    private String ifPrimary;
    /**
     * 清洗规则
     */
    private String cleanRule;
    /**
     * 创建时间
     */
    private Date creTime;


    public Long getSaveInfoId() {
        return saveInfoId;
    }

    public void setSaveInfoId(Long saveInfoId) {
        this.saveInfoId = saveInfoId;
    }

    public Long getFileDeposit() {
        return fileDeposit;
    }

    public void setFileDeposit(Long fileDeposit) {
        this.fileDeposit = fileDeposit;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getFieldType() {
        return fieldType;
    }

    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }

    public String getModifyFieldName() {
        return modifyFieldName;
    }

    public void setModifyFieldName(String modifyFieldName) {
        this.modifyFieldName = modifyFieldName;
    }

    public String getModifyFieldType() {
        return modifyFieldType;
    }

    public void setModifyFieldType(String modifyFieldType) {
        this.modifyFieldType = modifyFieldType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getIfPrimary() {
        return ifPrimary;
    }

    public void setIfPrimary(String ifPrimary) {
        this.ifPrimary = ifPrimary;
    }

    public String getCleanRule() {
        return cleanRule;
    }

    public void setCleanRule(String cleanRule) {
        this.cleanRule = cleanRule;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

}