package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.util.Date;

/**
 * 热门推荐商品(TMallHotRecommendGoods)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:40
 */
@TableName("t_mall_hot_recommend_goods")
@ApiModel
public class MallHotRecommendGoods implements Serializable {
    private static final long serialVersionUID = -35734333969077853L;
    /**
     * 热门推荐商品id
     */
    private Long hotRecommendGoods;
    /**
     * 数据id
     */
    private Long dataGoodsId;
    /**
     * 用户id
     */
    private Long customerId;
    /**
     * 删除标识：Y是，N否
     */
    private String delFlag;
    /**
     * 创建时间
     */
    private Date creTime;


    public Long getHotRecommendGoods() {
        return hotRecommendGoods;
    }

    public void setHotRecommendGoods(Long hotRecommendGoods) {
        this.hotRecommendGoods = hotRecommendGoods;
    }

    public Long getDataGoodsId() {
        return dataGoodsId;
    }

    public void setDataGoodsId(Long dataGoodsId) {
        this.dataGoodsId = dataGoodsId;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

}