package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 平台交易流水(TPlatformTradeFlowInfo)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:43
 */
@TableName("t_platform_trade_flow_info")
@ApiModel
public class PlatformTradeFlowInfo implements Serializable {
    private static final long serialVersionUID = 389290375672737545L;
    /**
     * 交易流水id
     */
    private Long tradeFlowInfoId;
    /**
     * 收款信息id
     */
    private Long receiveInfoId;
    /**
     * 交易金额
     */
    private BigDecimal platformTradeMoney;
    /**
     * 交易类型：01收款，02付款
     */
    private String tradeType;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 创建人
     */
    private String crePerson;
    /**
     * 更新时间
     */
    private Date uptTime;
    /**
     * 更新人
     */
    private String uptPerson;
    /**
     * 删除标识
     */
    private String delFlag;


    public Long getTradeFlowInfoId() {
        return tradeFlowInfoId;
    }

    public void setTradeFlowInfoId(Long tradeFlowInfoId) {
        this.tradeFlowInfoId = tradeFlowInfoId;
    }

    public Long getReceiveInfoId() {
        return receiveInfoId;
    }

    public void setReceiveInfoId(Long receiveInfoId) {
        this.receiveInfoId = receiveInfoId;
    }

    public BigDecimal getPlatformTradeMoney() {
        return platformTradeMoney;
    }

    public void setPlatformTradeMoney(BigDecimal platformTradeMoney) {
        this.platformTradeMoney = platformTradeMoney;
    }

    public String getTradeType() {
        return tradeType;
    }

    public void setTradeType(String tradeType) {
        this.tradeType = tradeType;
    }

    public Date getCreTime() {
        return creTime;
    }

    public void setCreTime(Date creTime) {
        this.creTime = creTime;
    }

    public String getCrePerson() {
        return crePerson;
    }

    public void setCrePerson(String crePerson) {
        this.crePerson = crePerson;
    }

    public Date getUptTime() {
        return uptTime;
    }

    public void setUptTime(Date uptTime) {
        this.uptTime = uptTime;
    }

    public String getUptPerson() {
        return uptPerson;
    }

    public void setUptPerson(String uptPerson) {
        this.uptPerson = uptPerson;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

}