package com.jz.manage.moduls.mapper;

import com.jz.common.base.BaseMapper;
import com.jz.manage.moduls.controller.goods.bean.dto.DataGoodsApiDto;
import com.jz.manage.moduls.entity.DataGoodsApi;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * api商品(TDataGoodsApi)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:31
 */
public interface DataGoodsApiDao extends BaseMapper<DataGoodsApi> {


    /**
     * 主键查询数据商品
     * @param id
     * @return
     */
    List<DataGoodsApiDto> findById(@Param("dataGoodsId") Long id);
}