package com.jz.manage.moduls.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.base.BaseMapper;
import com.jz.manage.moduls.entity.PlatformLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 日志管理(TPlatformLog)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:42
 */
public interface PlatformLogDao extends BaseMapper<PlatformLog> {

    /**
     * 查询平台用户日志列表
     * @return
     */
    List<PlatformLog> listMallLogInfo(IPage<PlatformLog> page, @Param("ew") Wrapper<PlatformLog> query);


}