package com.jz.manage.moduls.service;

import com.jz.common.bean.PageInfoResponse;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.finance.platForm.BalanceAuditRequest;
import com.jz.manage.moduls.controller.finance.platForm.BalanceInfoDto;
import com.jz.manage.moduls.controller.finance.platForm.BalanceListDto;
import com.jz.manage.moduls.controller.finance.platForm.BalanceListRequest;

import javax.servlet.http.HttpServletRequest;

/**
 * 企业客户充值记录(TFinanceCustomerBalance)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:38
 */
public interface FinanceCustomerBalanceService {


    PageInfoResponse<BalanceListDto> findListBalance(BalanceListRequest balanceListRequest, HttpServletRequest httpRequest) throws Exception;

    BalanceInfoDto queryBalanceByid(String customerBalanceId) throws Exception;

    Result<Object> uptBalanceInfoAuditByid(BalanceAuditRequest balanceAuditRequest) throws Exception;
}