package com.jz.manage.moduls.service;

import com.jz.common.bean.PageInfoResponse;
import com.jz.manage.moduls.entity.PlatformLog;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.log.bean.ManageLogInfoQueryReq;

/**
 * 日志管理(TPlatformLog)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:43
 */
public interface PlatformLogService {


    /**
     * 平台用户日志列表
     * @param req
     * @return
     */
    Result listManageUserLogInfo(ManageLogInfoQueryReq req);

    /**
     * 获取用户日志详情
     * @param platformLogId
     * @return
     */
    Result getMallUserLogDetail(Long platformLogId);
}