package com.jz.manage.moduls.service;


import com.jz.common.entity.SysUser;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 平台系统用户表(SysUser)表服务接口
 *
 * @author Bellamy
 * @since 2020-11-29 14:30:26
 */
public interface SysUserService {

    /*
    * 通过用户帐号进行查询
    * */
    SysUser selectByUsername(String username, HttpServletRequest request);

    SysUser selectByPhone(String telephone, HttpServletRequest request);

    Map<String,Object> getUserRoleByAccount(String account);
}